TOPNFILES(1)

NAME
topnfiles - manual page for topnfiles 4.1.12

SYNOPSIS
topnfiles [OPTIONS] <startdirs>...

DESCRIPTION
Finds newest/oldest/smallest/largest files in a directory structure.

  Arguments:

<startdirs>...
    Which directory to start in; multiple start directories may be stated, separated by spaces

OPTIONS

-a, --attribute <attribute>
    Which time attribute to sort on; default is 'modified' [default: ] [possible values: , accessed, created, modified]

-d, --directories
    Evaluate also directories(not only files)

-n, --number <number>
    Number of directory entries to return [default: 10]

-e, --exclude <exclude>
    A regular expression which the path must NOT match in order for the file to be evaluated; the regular expression dialect is that of the Rust 'regex' crate

-i, --include <include>
    A regular expression which the path must match in order for the file to be evaluated; the regular expression dialect is that of the Rust 'regex' crate

-o, --output <output>
    What to output about each file: i=ISO time, j=json, p=human readable path, u=unixtime, b=size(bytes), 0=print0 '0' cannot be combined with other output elements; it means that output should be handled like the find utility does with its -print0 argument: Record separator is the null character instead of newline 'j' means JSON and cannot be combined with other output elements; resulting JSON will contain time, path, and size 'p' will replace problematic charaters (newlines, the bell char, etc) in paths with the Unicode control pictures or caret escaped charaters, depending on the capabilities of the environment [default: ip]

-r, --return <return>
    What to sort on: oldest, youngest, largest, or smallest [default: youngest] [possible values: largest, oldest, smallest, youngest]

-w, --weird
    Accept weird option combinations

-x, --xdev
    Do not descend directories on other filesystems

-h, --help
    Print help

-V, --version
    Print version

SEE ALSO
The full documentation for topnfiles is maintained as a Texinfo manual. If the info and topnfiles programs are properly installed at your site, the command

    info topnfiles

should give you access to the complete manual.